Bug 192072 - 'no such user : root' after upgrade to glibc-2.4-8
'no such user : root' after upgrade to glibc-2.4-8
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
: 193226 (view as bug list)
Depends On:
Blocks: 192263
  Show dependency treegraph
Reported: 2006-05-17 08:34 EDT by derrien
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-15 16:20:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description derrien 2006-05-17 08:34:34 EDT
Description of problem:

After upgrade to glibc-2.4-8 we have at startup :

Starting udev : MAKEDEV : no such user : root
getpwnam failed for root
chown : 'root:root' : invalid user

and dbus and hal are not started

But after the boot you can log in root without problem...

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Jakub Jelinek 2006-05-18 06:54:43 EDT
Can't reproduce myself.
What NSS services are you using?
grep '^[a-z]' /etc/nsswitch.conf
Are you running nscd?  If so, if you
/sbin/service nscd stop
can you
getent passwd root
Comment 2 derrien 2006-05-18 07:41:29 EDT
[root@d410 (FedoraCore 5) ~]$  grep '^[a-z]' /etc/nsswitch.conf
passwd:         compat
shadow:         files nis
group:          files nis
passwd_compat:  nis
group_compat:   nis
shadow_compat:  nis
hosts:          files dns
services:       files nis
networks:       nis [NOTFOUND=return] files
protocols:      nis [NOTFOUND=return] files
rpc:            nis [NOTFOUND=return] files
ethers:         nis [NOTFOUND=return] files
netmasks:       files nis
bootparams:     nis [NOTFOUND=return] files
publickey:      nis [NOTFOUND=return] files
netgroup:       nis
automount:      files
aliases:        files nis

compat seems the problem because with
passwd:        files nis

it's work.

Comment 3 Jakub Jelinek 2006-05-18 10:38:20 EDT

Alternate workaround would be comment out
line in /etc/default/nss.
Comment 4 derrien 2006-05-18 11:50:07 EDT
Comment 5 Ivana Varekova 2006-05-26 07:50:40 EDT
*** Bug 193226 has been marked as a duplicate of this bug. ***
Comment 6 Aaron Gaudio 2006-06-16 10:21:56 EDT
Confirmed that this problem still exists in glibc-2.4-8,
kernel-smp-2.6.16-1.2133_FC5 (latest FC5 updates).
Comment 7 Ulrich Drepper 2006-07-31 19:25:20 EDT
I think I know why you see the problems even though I cannot right now see how
exactly the situation is invoked.  Anyway, I've changed the upstream code in a
way which should fix the problem.  The result will likely be in 2.4.90-16 or
later.  Please give that code a try once it comes out.  It's usually safe to
install the FC6 glibc on an FC5 system.
Comment 8 Jakub Jelinek 2006-09-15 16:20:06 EDT
glibc-2.4-11 has been released as new FC5 errata.

Note You need to log in before you can comment on or make changes to this bug.